//
//  SampleValue.h
//  SiiLibSample
//

#ifndef SiiLibSample_SampleValue_h
#define SiiLibSample_SampleValue_h

static NSString *const SII_EXTERNAL_ACCESSORY_PROTOCOL = @"com.sii-ps.siieap";

static NSString *const KEY_PRINTER_ADDRESS = @"KEY_PRINTER_ADDRESS";
static NSString *const KEY_PRINTER_PORT_TYPE = @"KEY_PRINTER_PORT_TYPE";
static NSString *const KEY_PRINTER_MODELNAME = @"KEY_PRINTER_MODELNAME";
static NSString *const KEY_TEXTFIELD_ADDRESS = @"KEY_TEXTFIELD_ADDRESS";

static NSString *const VALUE_PRINTER_ADDRESS = @"";
static NSString *const VALUE_PRINTER_PORT_TYPE = @"Other";
static NSString *const VALUE_PRINTER_MODELNAME = @"Not selected";
static NSString *const VALUE_TEXTFIELD_ADDRESS = @"Not selected";

static NSString *const STR_SUCCEEDED = @"Succeeded";

static NSString *const PRINTER_PORT_TYPE_NAME_TCPIP = @"TCP/IP";
static NSString *const PRINTER_PORT_TYPE_NAME_BLUETOOTH = @"Bluetooth";
static NSString *const PRINTER_PORT_TYPE_NAME_USB = @"USB";
static NSString *const PRINTER_PORT_TYPE_NAME_OTHER = @"Other";

static NSString *const PRINTER_SERIES_NAME_RPD10 = @"RP-D";
static NSString *const PRINTER_SERIES_NAME_RPE10 = @"RP-E";
static NSString *const PRINTER_SERIES_NAME_RPF10 = @"RP-F";
static NSString *const PRINTER_SERIES_NAME_DPUS = @"DPU-S";
static NSString *const PRINTER_SERIES_NAME_MPB20 = @"MP-B20";
static NSString *const PRINTER_SERIES_NAME_MPB21L = @"MP-B21L";
static NSString *const PRINTER_SERIES_NAME_MPB30 = @"MP-B30";
static NSString *const PRINTER_SERIES_NAME_MPB30L = @"MP-B30L";
static NSString *const PRINTER_SERIES_NAME_SLP72 = @"SLP72";

static NSString *const PRINTER_MODEL_NAME_RPD10 = @"RP-D10";
static NSString *const PRINTER_MODEL_NAME_RPE10 = @"RP-E10";
static NSString *const PRINTER_MODEL_NAME_RPF10 = @"RP-F10";
static NSString *const PRINTER_MODEL_NAME_DPUS245 = @"DPU-S245";
static NSString *const PRINTER_MODEL_NAME_DPUS445 = @"DPU-S445";
static NSString *const PRINTER_MODEL_NAME_MPB20 = @"MP-B20";
static NSString *const PRINTER_MODEL_NAME_MPB21L = @"MP-B21L";
static NSString *const PRINTER_MODEL_NAME_MPB30 = @"MP-B30";
static NSString *const PRINTER_MODEL_NAME_MPB30L = @"MP-B30L";
static NSString *const PRINTER_MODEL_NAME_SLP720RT = @"SLP720RT";
static NSString *const PRINTER_MODEL_NAME_UNKNOWN = @"Unknown";

#endif
